require 'json'
require 'net/https'
require 'cgi/cookie'
require 'pp'
require 'uri'
require 'optparse'
require_relative '../../mrjenkins'


module MrJenkins::Utils

  extend self


  def self.parseCommandLine(args=nil)
    options={ :verbose => false }

    opt_parser = OptionParser.new do |opt|

      opt.on('-c', '--cycle Cycle') { |o|
        options[:cycle] = o
      }

      opt.on('--cfg', '--cfg Config') { |o|
        options[:config] = o
      }

      opt.on('-r', '--release Release') { |o|
        options[:release] = o
      }

      opt.on('-j', '--jobname JobName') { |o|
        options[:jobname] = o
      }

      opt.on('--password', '--password Password') { |o|
        options[:password] = o
      }

      opt.on('--server', '--server URL') { |o|
        options[:server] = o
      }

      opt.on('u', '--user UserId') { |o|
        options[:user] = o
      }
      opt.on('--jira', '--jira JIRA') { |o|
        options[:jira] = o
      }

      opt.on('--status', '--status Status') { |o|
        options[:status] = o
      }

      opt.on('-v', '--verbose') { |o|
        options[:verbose] = o
      }

    end


    if !args.nil?
      opt_parser.parse!(args)
    else
      opt_parser.parse!
    end

    @options=options

    if @options.has_key?(:server) && @options.has_key?(:jobname)
      cli = MrJenkins::Client.new({ token: ENV['JENKINS_API_KEY'], server: @options[:server], jobname: @options[:jobname]  })
    end

  end

  def self.isVerbose()
    @options[:verbose]
  end

end
